IPhysics: IPhysicsCustom Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# IPhysicsCustom Class Reference

`#include <CPhysicsCustom.h>`

Inherits IPhysicsJoint.

Inherited by CPhysicsPulley`[private]`.

List of all members.

## Public Member Functions

| IPhysicsCustom ()
| ~IPhysicsCustom ()
void | init (NewtonWorld *world, SPhysicsCustomJoint *jnt)
void | addLinearRow (vector3df pivot1, vector3df pivot2, vector3df direction)
void | addAngularRow (f32 relativeAngleError, vector3df pin)
void | addGeneralRow (vector3df linear1, vector3df angular1, vector3df linear2, vector3df angular2)
void | setRowMinFriction (f32 friction)
void | setRowMaxFriction (f32 friction)
void | setRowAcceleration (f32 acceleration)
void | setRowStiffness (f32 stiffness)
void | setRowSpringDamperAcceleration (f32 springStiffness, f32 springDamper)
f32 | getRowForce (int row)
void | pinAndDirToLocal (const vector3df &pinpt, const vector3df &pindir, vector3df &localOrient0, vector3df &localPos0, vector3df &localOrient1, vector3df &localPos1)
matrix4 | grammSchmidt (const vector3df &pin)
| Builds GrammSchmidt - Tree orthonormal axes with front vector aligned to the given vector.
virtual void | submitConstraint ()=0

## Static Private Member Functions

static void _cdecl | customJointCallback (const NewtonJoint *userJoint)

## Private Attributes

IPhysicsBaseEntity * | m_child
IPhysicsBaseEntity * | m_parent

## Constructor & Destructor Documentation

IPhysicsCustom::IPhysicsCustom | ( |  | ) |

IPhysicsCustom::~IPhysicsCustom | ( |  | ) |

## Member Function Documentation

void IPhysicsCustom::init | ( | NewtonWorld * | world,
|  | SPhysicsCustomJoint * | jnt |
| ) |  |  |

void IPhysicsCustom::addLinearRow | ( | vector3df | pivot1,
|  | vector3df | pivot2,
|  | vector3df | direction |
| ) |  |  |

void IPhysicsCustom::addAngularRow | ( | f32 | relativeAngleError,
|  | vector3df | pin |
| ) |  |  |

void IPhysicsCustom::addGeneralRow | ( | vector3df | linear1,
|  | vector3df | angular1,
|  | vector3df | linear2,
|  | vector3df | angular2 |
| ) |  |  |

void IPhysicsCustom::setRowMinFriction | ( | f32 | friction | ) |

void IPhysicsCustom::setRowMaxFriction | ( | f32 | friction | ) |

void IPhysicsCustom::setRowAcceleration | ( | f32 | acceleration | ) |

void IPhysicsCustom::setRowStiffness | ( | f32 | stiffness | ) |

void IPhysicsCustom::setRowSpringDamperAcceleration | ( | f32 | springStiffness,
|  | f32 | springDamper |
| ) |  |  |

f32 IPhysicsCustom::getRowForce | ( | int | row | ) |

void IPhysicsCustom::pinAndDirToLocal | ( | const vector3df & | pinpt,
|  | const vector3df & | pindir,
|  | vector3df & | localOrient0,
|  | vector3df & | localPos0,
|  | vector3df & | localOrient1,
|  | vector3df & | localPos1 |
| ) |  |  |

matrix4 IPhysicsCustom::grammSchmidt | ( | const vector3df & | pin | ) |

Builds GrammSchmidt - Tree orthonormal axes with front vector aligned to the given vector.

virtual void IPhysicsCustom::submitConstraint | ( |  | ) | `[pure virtual]`

Implemented in CPhysicsPulley.

void IPhysicsCustom::customJointCallback | ( | const NewtonJoint * | userJoint | ) | `[static, private]`

## Member Data Documentation

IPhysicsBaseEntity* IPhysicsCustom::m_child`[private]`

Reimplemented in CPhysicsPulley.

IPhysicsBaseEntity* IPhysicsCustom::m_parent`[private]`

Reimplemented in CPhysicsPulley.

The documentation for this class was generated from the following files:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsCustom.h
- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsCustom.cpp